Bug 183338 - math/octave: installation stops with error of liboctave.texi
math/octave: installation stops with error of liboctave.texi
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Maho Nakata
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 17:00 UTC by 1wkmmr
Modified: 2013-11-29 00:40 UTC (History)
0 users

See Also:


Attachments
file.txt (13.48 KB, text/plain)
2013-10-26 17:00 UTC, 1wkmmr
no flags Details
patch-octave-doc.diff (810 bytes, patch)
2013-11-25 08:23 UTC, 1wkmmr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 1wkmmr 2013-10-26 17:00:00 UTC
math/octave passed compilation stage, but stopped in installation stage, for a while.  This is because some lines in doc/liboctave/liboctave.texi are illegal or make info is old.

Fix: As a tentative workaround, I attached a new patch file of files/patch-octave-doc which includes a modification to the relevant lines in liboctave.texi.  


Patch attached with submission follows:
How-To-Repeat: Just try to make install.  I's 100% surely reproducible.  

cd math/octave
make
make install
Comment 1 Edwin Groothuis freebsd_committer 2013-10-26 19:06:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 1wkmmr 2013-11-25 08:23:48 UTC
Hi,

I still have a problem in installation stage of this port, although my
texinfo is the latest one in port tree:

   PORTNAME=       texinfo
   PORTVERSION=    5.2.20130926

Are there any report about the installation ports/octave ?
I still need a workaround attached.

Although the workaround is basically same thing I previously reported, I
have made it *.diff format for files/patch-octave-doc.

Cheers
-- 
-----
Mamoru Iwaki
Japan
Comment 3 dfilter freebsd_committer 2013-11-29 00:33:05 UTC
Author: maho
Date: Fri Nov 29 00:32:52 2013
New Revision: 335133
URL: http://svnweb.freebsd.org/changeset/ports/335133

Log:
  A build fix with recent (?) version of texinfo.
  Note that this cannot be reproduced in maho's tinderbox.
  
  PR:		183338
  Submitted by:	Mamoru Iwaki <1wkmmr@gmail.com>

Modified:
  head/math/octave/files/patch-octave-doc

Modified: head/math/octave/files/patch-octave-doc
==============================================================================
--- head/math/octave/files/patch-octave-doc	Fri Nov 29 00:20:41 2013	(r335132)
+++ head/math/octave/files/patch-octave-doc	Fri Nov 29 00:32:52 2013	(r335133)
@@ -358,3 +358,20 @@
  Check out a license for @var{feature}, returning 1 on success and 0
  on failure.
  
+--- doc/liboctave/liboctave.texi.orig	2013-02-22 05:19:23.000000000 +0900
++++ doc/liboctave/liboctave.texi	2013-10-27 00:04:40.000000000 +0900
+@@ -80,10 +80,10 @@
+ @end ifnottex
+ 
+ @titlepage
+-@title{Octave C++ Classes}
+-@subtitle{Edition 1.0 for Octave version @value{VERSION}}
+-@subtitle{September 1993}
+-@author{John W. Eaton}
++@title Octave C++ Classes
++@subtitle Edition 1.0 for Octave version @value{VERSION}
++@subtitle September 1993
++@author John W. Eaton
+ @page
+ @vskip 0pt plus 1filll
+ Copyright @copyright{} 1996, 1997 John W. Eaton.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Maho Nakata freebsd_committer 2013-11-29 00:37:30 UTC
State Changed
From-To: open->closed

committed, thanks!